gnutls_rsa_params_import_pkcs1(3)

NAME
gnutls_rsa_params_import_pkcs1 - API function

SYNOPSIS
#include <gnutls/compat.h>

int gnutls_rsa_params_import_pkcs1(gnutls_rsa_params_t params, const gnutls_datum_t * pkcs1_params, gnutls_x509_crt_fmt_t format);

ARGUMENTS

gnutls_rsa_params_t params
    A structure where the parameters will be copied to

const gnutls_datum_t * pkcs1_params
    should contain a PKCS1 RSAPrivateKey structure PEM or DER encoded

gnutls_x509_crt_fmt_t format
    the format of params. PEM or DER.

DESCRIPTION
This function will extract the RSAPrivateKey found in a PKCS1 formatted structure.

If the structure is PEM encoded, it should have a header of "BEGIN RSA PRIVATE KEY".

RETURNS
GNUTLS_E_SUCCESS on success, or an negative error code.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/